## xzip 1.8.2

=== Makefile ===
PROGRAM = xzip

# You MUST define either BIG_END_MODE or LITTLE_END_MODE, by
#   uncommenting one of the lines below. If you don't know
#   which is right, try one and see if the program runs right.
#   The error messages are nice and obvious. Some Unixes
#   have a BYTE_ORDER definition; if you define AUTO_END_MODE,
#   the source code will check for that and work "automatically".
#   If Murphy's Law strikes, go back to BIG_END_MODE or 
#   LITTLE_END_MODE.

# If you get errors in xio.c about fd_set or FD_SET being 
#   undefined, put "-DNEEDS_SELECT_H" in the SYSTEMFLAGS line,
#   as has been done for the RS6000.

# If you get errors about bcopy being undefined, put
#   "-DNO_BCOPY" in the SYSTEMFLAGS line.

# If you get errors about random or srandom being undefined,
#   put "-DLOUSY_RANDOM" in the SYSTEMFLAGS line.

# --------------------

# definitions for RS6000 / AIX
#   If AUTO doesn't work, use BIG
#SYSTEMFLAGS = -DNEEDS_SELECT_H -DAUTO_END_MODE

# definitions for HP / HPUX
#SYSTEMFLAGS = -Ae -DBIG_END_MODE

# definitions for HP / HPUX 9.0 
#    (Dunno; this was contributed to me)
#SYSTEMFLAGS = -Aa -D_HPUX_SOURCE -DBIG_END_MODE

# definitions for SparcStation / SunOS
#SYSTEMFLAGS = -DBIG_END_MODE

# definitions for SparcStation / Solaris 
#    (Solaris 2.5, don't know about other versions)
#SYSTEMFLAGS = -DBIG_END_MODE
#SYSTEMLIBS = -R$(XLIB)  -lsocket

# definitions for DECstation / Ultrix
#SYSTEMFLAGS = -DLITTLE_END_MODE

# definitions for SGI / Irix
#SYSTEMFLAGS = -DBIG_END_MODE

# definitions for Linux
# Note! Old versions of Linux (pre 2.0?) may not have the magic
#   BYTE_ORDER definitions installed. If AUTO_END_MODE doesn't
#   work, use LITTLE_END_MODE on an x86, BIG_END_MODE on a
#   680x0 or PPC machine.
#SYSTEMFLAGS = -DAUTO_END_MODE

# definitions for BSDI 4
#SYSTEMFLAGS = -DAUTO_END_MODE

# definitions for some arbitrary big-endian system
#SYSTEMFLAGS = -DBIG_END_MODE

# definitions for some arbitrary little-endian system
#SYSTEMFLAGS = -DLITTLE_END_MODE

# --------------------

# definitions for where the X lib and include directories are.
# The following are defaults that might work.

XINCLUDE = /usr/include/X11
XLIB = /usr/lib/X11

# If your compiler can't find these things, try commenting out the
# above, and uncommenting various versions below. Also look around
# your hard drive for the appropriate files. (The XINCLUDE directory
# should contain the file "Xlib.h", and the XLIB dir should contain 
# "libX11.so" or "libX11.a".)
# The problem is, depending on how things are installed, the
# directories could be just about anywhere. Sigh.

# for Debian or SuSE Linux
#XINCLUDE = /usr/X11R6/include/X11
#XLIB = /usr/X11R6/lib

# for Red Hat Linux
#XINCLUDE = /usr/include/X11
#XLIB = /usr/X11/lib

# for SparcStation / Solaris 
#XINCLUDE = /usr/openwin/include
#XLIB = /usr/openwin/lib

# for BSDI 4
#XINCLUDE = /usr/X11R6/include
#XLIB = /usr/X11/lib

# --------------------

# definition for where to install xzip executable and man page
DESTDIR = /usr/local

# --------------------

CFLAGS = -O $(SYSTEMFLAGS) -I$(XINCLUDE)
LDFLAGS =
LIBS = -L$(XLIB) -lX11 $(SYSTEMLIBS)

# definitions for the default fonts. Users can override these with X resources.
FONTDEF_PLAIN=\
"-adobe-times-medium-r-normal--14-*-*-*-*-*-iso8859-1"
FONTDEF_BOLD=\
"-adobe-times-bold-r-normal--14-*-*-*-*-*-iso8859-1"
FONTDEF_ITALIC=\
"-adobe-times-medium-i-normal--14-*-*-*-*-*-iso8859-1"
FONTDEF_BOLDITALIC=\
"-adobe-times-bold-i-normal--14-*-*-*-*-*-iso8859-1"
FONTDEF_FIXED=\
"-adobe-courier-medium-r-normal--12-*-*-*-*-*-iso8859-1"
FONTDEF_BOLDFIXED=\
"-adobe-courier-bold-r-normal--12-*-*-*-*-*-iso8859-1"
FONTDEF_ITALICFIXED=\
"-adobe-courier-medium-o-normal--12-*-*-*-*-*-iso8859-1"
FONTDEF_BOLDITALICFIXED=\
"-adobe-courier-bold-o-normal--12-*-*-*-*-*-iso8859-1"

FONTDEFAULTLIST = \
-DFND0='$(FONTDEF_PLAIN)' \
-DFND1='$(FONTDEF_BOLD)' \
-DFND2='$(FONTDEF_ITALIC)' \
-DFND3='$(FONTDEF_BOLDITALIC)' \
-DFND4='$(FONTDEF_FIXED)' \
-DFND5='$(FONTDEF_BOLDFIXED)' \
-DFND6='$(FONTDEF_ITALICFIXED)' \
-DFND7='$(FONTDEF_BOLDITALICFIXED)'

INC = ztypes.h
OBJS = zip.o control.o extern.o fileio.o input.o interpre.o math.o memory.o \
	object.o operand.o osdepend.o property.o screen.o text.o variable.o \
	pickle.o quetzal.o

XOBJS = xio.o xinit.o xtext.o xkey.o xmess.o xstat.o

$(PROGRAM) : $(OBJS) $(XOBJS)
	$(CC) -o $@ $(LDFLAGS) $(OBJS) $(XOBJS) $(LIBS)

test: $(XOBJS)
	$(CC) -o $@ $(LDFLAGS) $(XOBJS) $(LIBS)

$(OBJS) : $(INC) extern.c version.h

pickle.o : pickle.h

$(XOBJS) : $(INC) xio.h version.h

xio.o: xio.c xio.h greypm.bm
	$(CC) $(CFLAGS) -c xio.c

xinit.o: xinit.c xio.h
	$(CC) $(CFLAGS) $(FONTDEFAULTLIST) -c xinit.c

install: $(PROGRAM)
	install -s $(PROGRAM) $(DESTDIR)/bin
	install $(PROGRAM).1 $(DESTDIR)/man/man1

clean :
	-rm -f *~ *.o $(PROGRAM) test

=== debian/changelog ===
xzip (1:1.8.2-5) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian Games team
    Closes: #1082846
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Strip unusual field spacing from debian/control.
  * Use secure URI in Homepage field.
  * watch file standard 4 (routine-update)
  * Fix build with gcc-14
    Closes: #1066696
  * Upstream patch for type 3 font is installed as requested in bug #106391
    but it seems to need extra means inside debian/rules - thus not closing
    the bug
  * Enable hardening options
  * copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Fri, 27 Sep 2024 18:16:22 +0200

xzip (1:1.8.2-4) unstable; urgency=low

  * Incorporate upload from mentors.debian.net, thanks David Gilman.
    + Non-maintainer upload.
    + Bump debhelper compat
    + Add Homepage: field
    + Bump Standards-Version to 3.9.5
    + Add watchfile
    + Change to 3.0 (quilt) format
    + Add remove_conflicting_function_names patch to compile under c99
    + Add remove_test_target patch to remove long-broken test target
    + Add fix_manpage patch (closes LP: #1076095)
    + Add enable_hardening patch to switch to dpkg-buildflags
  * Replace remove_test_target patch with empty override_dh_auto_test.
  * Replace enable_hardening patch with respect_cflags_env patch so
    debhelper's dh_auto_build can set the variables.

 -- Daniel Schepler <schepler@debian.org>  Sat, 21 Jun 2014 11:00:24 -0700

xzip (1:1.8.2-3) unstable; urgency=low

  * Bump Standards-Version to 3.6.1 (no changes needed).
  * Corrected formatting error in debian/copyright (thanks lintian).

 -- Daniel Schepler <schepler@debian.org>  Wed, 28 Apr 2004 05:06:15 -0700

xzip (1:1.8.2-2) unstable; urgency=low

  * Update to use debhelper and cdbs.
  * Rebuild against split X libraries, and update the Build-Depends
    accordingly.
  * Split debian diffs into debian/patches/.

 -- Daniel Schepler <schepler@debian.org>  Wed, 28 Apr 2004 03:36:06 -0700

xzip (1:1.8.2-1) unstable; urgency=low

  * New maintainer. (Closes: #82449)
  * New upstream release. (Closes: #43285)
  * Changed package description to include jzip as a possible text-mode
    interpreter.  Also, frotz is now in main. (Closes: #53431)
  * Changed version numbering to correspond to what's used in the README
    file.
  * Updated to standards version 3.2.1.

 -- Daniel Schepler <schepler@debian.org>  Sun, 28 Jan 2001 18:06:24 -0800

xzip (1.70-3) frozen unstable; urgency=low

  * Rewritten code to form default filenames; now saves in ~/.infocom by
    default (#21571)

 -- Mark Baker <mbaker@iee.org>  Thu, 23 Apr 1998 21:47:03 +0100

xzip (1.70-2) frozen unstable; urgency=low

  * strict Z-code checking off by default (option to turn it on should still
    work)

 -- Mark Baker <mbaker@iee.org>  Fri, 17 Apr 1998 18:41:32 +0100

xzip (1.70-1) frozen unstable; urgency=low

  * New upstream release (bugfixes) (#21053)

 -- Mark Baker <mbaker@iee.org>  Tue, 14 Apr 1998 18:41:32 +0100

xzip (1.61-4.1) frozen unstable; urgency=low

  * Non-maintainer release.
  * Move man page to section 6.
  * Put all conflicts on a single line (they were word-wrapped).
  * Make update-alternatives calls point to the right places: xzip is
    in /usr/games, man page is in /usr/man/man6, zcode-interpreter is
    now in /usr/games.
  * Add some jiggery-pokery to the maintainer scripts to clean up the
    mess the zcode-interpreter alternatives are in.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Tue,  7 Apr 1998 21:58:16 +0100

xzip (1.61-4) unstable; urgency=low

  * Changed to use alternatives instead of zcode-support (#18672)

 -- Mark Baker <mbaker@iee.org>  Sat, 28 Feb 1998 20:16:55 +0000

xzip (1.61-3) unstable; urgency=low

  * Compressed manpage
  * Updated to standards version 2.4.0.0

 -- Mark Baker <mbaker@iee.org>  Tue, 10 Feb 1998 00:09:48 +0000

xzip (1.61-2) unstable; urgency=low

  * Compiled against xlib6g
  * Install in /usr/games instead of /usr/bin

 -- Mark Baker <mbaker@iee.org>  Tue, 09 Sep 1997 21:55:00 +0100

xzip (1.61-1) unstable; urgency=low

  * First debian release

 -- Mark Baker <mbaker@iee.org>  Mon, 02 Jun 1997 21:07:00 +0100

=== debian/control ===
Source: xzip
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13), libx11-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/games-team/xzip
Vcs-Git: https://salsa.debian.org/games-team/xzip.git
Homepage: https://www.eblong.com/zarf/xzip.html
Rules-Requires-Root: no

Package: xzip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: zcode-interpreter
Suggests: zcode-game
Replaces: zcode-support
Conflicts: zcode-support, gsn-curses (= 16-1), gsn-jigsaw (= 3-1), gumshoe (=1-1), so-far (= 6-1), weather (= 6-1)
Description: Interpreter of Infocom-format story-files
 Xzip interprets story-files (which are usually text adventure games)
 in the format used by Infocom.  This includes the games published by
 Infocom, as well as any games produced by compilers to this format,
 such as Inform.
 .
 This is an interpreter for X. For text mode, try frotz or jzip.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

# test target is broken, don't run it
override_dh_auto_test:

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)(\d)(\d)/$1.$2.$3/ http://www.eblong.com/zarf/ftp/xzip(.*)[.](?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz|Z)))

## xzip 1.70

=== Makefile ===
--- 
+++ 
@@ -39,6 +39,9 @@
 #    (Solaris 2.5, don't know about other versions)
 #SYSTEMFLAGS = -DBIG_END_MODE
 #SYSTEMLIBS = -R$(XLIB)  -lsocket
+# One user has reported using 
+#  CFLAGS = -O $(SYSTEMFLAGS) -I/usr/openwin/share/include -I/usr/openwin
+# to compile under Solaris.
 
 # definitions for DECstation / Ultrix
 #SYSTEMFLAGS = -DLITTLE_END_MODE
@@ -53,9 +56,6 @@
 #   680x0 or PPC machine.
 #SYSTEMFLAGS = -DAUTO_END_MODE
 
-# definitions for BSDI 4
-#SYSTEMFLAGS = -DAUTO_END_MODE
-
 # definitions for some arbitrary big-endian system
 #SYSTEMFLAGS = -DBIG_END_MODE
 
@@ -64,37 +64,10 @@
 
 # --------------------
 
-# definitions for where the X lib and include directories are.
-# The following are defaults that might work.
-
-XINCLUDE = /usr/include/X11
-XLIB = /usr/lib/X11
-
-# If your compiler can't find these things, try commenting out the
-# above, and uncommenting various versions below. Also look around
-# your hard drive for the appropriate files. (The XINCLUDE directory
-# should contain the file "Xlib.h", and the XLIB dir should contain 
-# "libX11.so" or "libX11.a".)
-# The problem is, depending on how things are installed, the
-# directories could be just about anywhere. Sigh.
-
-# for Debian or SuSE Linux
-#XINCLUDE = /usr/X11R6/include/X11
-#XLIB = /usr/X11R6/lib
-
-# for Red Hat Linux
-#XINCLUDE = /usr/include/X11
-#XLIB = /usr/X11/lib
-
-# for SparcStation / Solaris 
-#XINCLUDE = /usr/openwin/include
-#XLIB = /usr/openwin/lib
-
-# for BSDI 4
-#XINCLUDE = /usr/X11R6/include
-#XLIB = /usr/X11/lib
-
-# --------------------
+# definitions for where the X lib and include directories are
+XDIR = /usr
+XINCLUDE = $(XDIR)/include/X11
+XLIB = $(XDIR)/lib/X11
 
 # definition for where to install xzip executable and man page
 DESTDIR = /usr/local
@@ -136,7 +109,7 @@
 INC = ztypes.h
 OBJS = zip.o control.o extern.o fileio.o input.o interpre.o math.o memory.o \
 	object.o operand.o osdepend.o property.o screen.o text.o variable.o \
-	pickle.o quetzal.o
+	pickle.o
 
 XOBJS = xio.o xinit.o xtext.o xkey.o xmess.o xstat.o
 
@@ -150,7 +123,7 @@
 
 pickle.o : pickle.h
 
-$(XOBJS) : $(INC) xio.h version.h
+$(XOBJS) : xio.h version.h
 
 xio.o: xio.c xio.h greypm.bm
 	$(CC) $(CFLAGS) -c xio.c
